# Generated from backlog_api-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name backlog_api

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Ruby toolkit for the Backlog API + α
License: MIT
URL: https://github.com/a1125ts/backlog_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(guard-livereload)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(growl)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(poltergeist)
# BuildRequires: rubygem(capybara-webkit)
# BuildRequires: rubygem(launchy)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(pry-debugger)
# BuildRequires: rubygem(tapp)
# BuildRequires: rubygem(sinatra-contrib)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Ruby toolkit for the Backlog API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/backlog
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/backlog_api.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
